package com.pcloud.book.reading.dao.impl;

import com.pcloud.book.reading.dao.ReadingGroupCreateDao;
import com.pcloud.book.reading.entity.ReadingGroupCreate;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

@Component("readingGroupCreateDao")
public class ReadingGroupCreateDaoImpl extends BaseDaoImpl<ReadingGroupCreate> implements ReadingGroupCreateDao {

    @Override
    public void updateStateByWxGroupId(String wxGroupId, Integer useState) {
        Map<String, Object>map=new HashMap<>();
        map.put("wxGroupId",wxGroupId);
        map.put("useState",useState);
        getSessionTemplate().update(getStatement("updateStateByWxGroupId"),map);
    }
}
